/**
 * Copyright (C) 2016 idscan.net
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.idscan.example.dlpclient;

import java.io.File;
import java.net.HttpURLConnection;
import java.net.URL;

import org.apache.commons.codec.binary.Base64;
import org.apache.commons.io.FileUtils;
import org.apache.commons.io.IOUtils;

/**
 * 
 * @author andrew0x1@gmail.com
 */
public class Main
{
	public static void main(String[] args)
	{
		try
		{
			// Prepare data.
			byte[] data = FileUtils.readFileToByteArray(new File("testdl.txt"));;
			byte[] encoded_data = Base64.encodeBase64(data);
			
			// Prepare request.
			URL u = new URL("http://localhost:9999/");
			HttpURLConnection conn = (HttpURLConnection)u.openConnection();
			conn.setDoOutput(true);
			conn.setDoInput(true);
			conn.setRequestMethod("POST");
			conn.setRequestProperty("Content-Type", "text/plain; charset=UTF-8");
			conn.setRequestProperty("Content-Length", String.valueOf(encoded_data.length));
			
			// Write request.
			conn.getOutputStream().write(encoded_data);
			
			// Read response.
			String response = IOUtils.toString(conn.getInputStream(), "UTF-8");
			
			// Parse result.
			System.out.println(response);
		}
		catch(Exception ex)
		{
			ex.printStackTrace();
		}
	}
}
