﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Net;
using System.Text;
using Newtonsoft.Json;

namespace Nautilus
{
    class Program
    {
        static void Main()
        {
            var scannedText = File.ReadAllText("testdl.txt");
            var webRequest = (HttpWebRequest)WebRequest.Create("http://localhost:9999/");
            webRequest.Method = "POST";
            webRequest.ContentType = "text/plain; charset=UTF-8";

            using (var body = webRequest.GetRequestStream())
            using (var bodyWriter = new StreamWriter(body, Encoding.UTF8))
            {
                var data = Convert.ToBase64String(Encoding.UTF8.GetBytes(scannedText));
                bodyWriter.Write(data, 0, data.Length);
            }

            using (var webResponse = webRequest.GetResponse())
            {
                var result = webResponse.Headers["Result"];
                switch (result)
                {
                    case "OK":
                        using (var body = webResponse.GetResponseStream())
                        {
                            if (body != null)
                            {
                                using (var reader = new StreamReader(body, Encoding.UTF8))
                                {
                                    var jsonObject = reader.ReadToEnd();
                                    var dl = JsonConvert.DeserializeObject<Dictionary<string, string>>(jsonObject);
                                    foreach (var field in dl)
                                    {
                                        Console.WriteLine("{0} : {1}", field.Key, field.Value);
                                    }
                                }
                            }
                        }
                        break;
                    case "NOK":
                        Console.WriteLine("Text cannot be parsed");
                        break;
                    case "Exception":
                        Console.WriteLine("Server returned exception: \n{0}", webResponse.Headers["Result"]);
                        break;
                    default:
                        Console.WriteLine("Unsupported result code");
                        break;
                }
            }
            Console.ReadLine();
        }
    }
}
